-- set a smaller indent
local indent = 2
vim.opt.tabstop = indent
vim.opt.shiftwidth = indent
vim.opt.softtabstop = indent

-- don't hard break text
vim.opt.textwidth = 0
-- keep soft breaks between words
vim.cmd('setlocal linebreak')
-- turn list off as it interferes with soft wrapping
vim.cmd('setlocal nolist')
-- turn off breaking when typing new text
vim.cmd('setlocal formatoptions-=t')
-- turn off line width hint
vim.cmd('setlocal colorcolumn=0')
